---
openapi: "3.0.0"
info:
  title: "Account v1 API"
  description: "The <b>Account API</b> gives sellers the ability to configure their\
    \ eBay seller accounts, including the seller's policies (eBay business policies\
    \ and seller-defined custom policies), opt in and out of eBay seller programs,\
    \ configure sales tax tables, and get account information.  <br><br>For details\
    \ on the availability of the methods in this API, see <a href=\"/api-docs/sell/account/overview.html#requirements\"\
    >Account API requirements and restrictions</a>."
  contact:
    name: "eBay Inc,"
  license:
    name: "eBay API License Agreement"
    url: "https://developer.ebay.com/join/api-license-agreement"
  version: "v1.9.3"
servers:
- url: "https://api.ebay.com{basePath}"
  description: "Production"
  variables:
    basePath:
      default: "/sell/account/v1"
paths:
  /custom_policy/:
    get:
      tags:
      - "custom_policy"
      description: "This method retrieves the list of custom policies defined for\
        \ a seller's account. To limit the returned custom policies, specify the <b>policy_types</b>\
        \ query parameter."
      operationId: "getCustomPolicies"
      parameters:
      - name: "policy_types"
        in: "query"
        description: "This query parameter specifies the type of custom policies to\
          \ be returned.<br><br>Multiple policy types may be requested in a single\
          \ call by providing a comma-delimited set of all policy types to be returned.<br><br><span\
          \ class=\"tablenote\"><strong>Note:</strong> Omitting this query parameter\
          \ from a request will also return policies of all policy types.</span><br>\
          \ See the <a href=\"/api-docs/sell/account/types/api:CustomPolicyTypeEnum\"\
          \ target=\"_blank \">CustomPolicyTypeEnum</a> type for a list of supported\
          \ values."
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CustomPolicyResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20411:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing policyTypes {policyType}"
              20415:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing marketplaceId"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
    post:
      tags:
      - "custom_policy"
      description: "This method creates a new custom policy that specifies the seller's\
        \ terms for complying with local governmental regulations. Each Custom Policy\
        \ targets a <b>policyType</b>. Multiple policies may be created as using the\
        \ following custom policy types:<ul><li>PRODUCT_COMPLIANCE: Product Compliance\
        \ policies disclose product information as required for regulatory compliance.\
        \ <br/><br/><span class=\"tablenote\"><strong>Note:</strong> A maximum of\
        \ 60 Product Compliance policies per seller may be created.</span></li><li>TAKE_BACK:\
        \ Takeback policies describe the seller's legal obligation to take back a\
        \ previously purchased item when the buyer purchases a new one. <br/><br/><span\
        \ class=\"tablenote\"><strong>Note:</strong> A maximum of 18 Takeback policies\
        \ per seller may be created.</span></li></ul>A successful create policy call\
        \ returns an HTTP status code of <b>201 Created</b> with the system-generated\
        \ policy ID included in the Location response header."
      operationId: "createCustomPolicy"
      parameters:
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Request to create a new Custom Policy."
        content:
          application/json:
            schema:
              description: "Request to create a new Custom Policy."
              $ref: "#/components/schemas/CustomPolicyCreateRequest"
        required: true
      responses:
        "201":
          description: "Created"
          headers:
            Location:
              schema:
                type: "string"
                description: "The <b>location</b> response header contains the URL\
                  \ to the newly created custom policy. The URL includes the eBay-assigned\
                  \ <code>custom_policy_id</code>, which can be used to reference\
                  \ the policy."
          content:
            application/json:
              schema:
                type: "object"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20417:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Maximum custom policy per site is reached"
              20418:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "This policy name is already used"
              20411:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing policyType {policyType}"
              20412:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing label"
              20413:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing name"
              20414:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing description"
              20415:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing marketplaceId"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
        "409":
          description: "Policy Name already used/ Maximum no of policies per site\
            \ reached"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /custom_policy/{custom_policy_id}:
    get:
      tags:
      - "custom_policy"
      description: "This method retrieves the custom policy specified by the <b>custom_policy_id</b>\
        \ path parameter."
      operationId: "getCustomPolicy"
      parameters:
      - name: "custom_policy_id"
        in: "path"
        description: "This path parameter is the unique identifier of the custom policy\
          \ to retrieve.<br><br> This ID can be retrieved for a custom policy by using\
          \ the <a href=\"/api-docs/sell/account/resources/custom_policy/methods/getCustomPolicies\"\
          \ target=\"_blank \">getCustomPolicies</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CustomPolicy"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20416:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing customPolicyId"
              20415:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing marketplaceId"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
    put:
      tags:
      - "custom_policy"
      description: "This method updates an existing custom policy specified by the\
        \ <b>custom_policy_id</b> path parameter. Since this method overwrites the\
        \ policy's <b>name</b>, <b>label</b>, and <b>description</b> fields, always\
        \ include the complete and current text of all three policy fields in the\
        \ request payload, even if they are not being updated.<br/> <br/>For example,\
        \ the value for the <b>label</b> field is to be updated, but the <b>name</b>\
        \ and <b>description</b> values will remain unchanged. The existing <b>name</b>\
        \ and <b>description</b> values, as they are defined in the current policy,\
        \ must also be passed in. <br/><br/>A successful policy update call returns\
        \ an HTTP status code of <b>204 No Content</b>."
      operationId: "updateCustomPolicy"
      parameters:
      - name: "custom_policy_id"
        in: "path"
        description: "This path parameter is the unique identifier of the custom policy\
          \ to update.<br><br><span class=\"tablenote\"><b>Note:</b> A list of custom\
          \ policies defined for a seller's account that includes this ID can be retrieved\
          \ by calling the <a href=\"/api-docs/sell/account/resources/custom_policy/methods/getCustomPolicies\"\
          \ target=\"_blank \">getCustomPolicies</a> method.</span>"
        required: true
        schema:
          type: "string"
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Request to update a current custom policy."
        content:
          application/json:
            schema:
              description: "Request to update a current custom policy."
              $ref: "#/components/schemas/CustomPolicyRequest"
        required: true
      responses:
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20416:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing customPolicyId"
              20418:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "This policy name is already used"
              20412:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing label"
              20413:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing name"
              20414:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing description"
              20415:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid/Missing marketplaceId"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
        "204":
          description: "No Content"
        "404":
          description: "Not Found"
        "409":
          description: "Policy Name already used/ Maximum no of policies per site\
            \ reached"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /fulfillment_policy/:
    post:
      tags:
      - "fulfillment_policy"
      description: "This method creates a new fulfillment policy for an eBay marketplace\
        \ where the policy encapsulates seller's terms for fulfilling item purchases.\
        \ Fulfillment policies include the shipment options that the seller offers\
        \ to buyers.  <br><br>A successful request returns the <b>getFulfillmentPolicy</b>\
        \ URI to the new policy in the <b>Location</b> response header and the ID\
        \ for the new policy is returned in the response payload.  <p class=\"tablenote\"\
        ><b>Tip:</b> For details on creating and using the business policies supported\
        \ by the Account API, see <a href=\"/api-docs/sell/static/seller-accounts/business-policies.html\"\
        >eBay business policies</a>.</p>"
      operationId: "createFulfillmentPolicy"
      parameters:
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Request to create a seller account fulfillment policy."
        content:
          application/json:
            schema:
              description: "Request to create a seller account fulfillment policy."
              $ref: "#/components/schemas/FulfillmentPolicyRequest"
        required: true
      responses:
        "201":
          description: "Created"
          headers:
            Location:
              schema:
                type: "string"
                description: "The <b>location</b> response header contains the URL\
                  \ to the newly created fulfillment policy. The URL includes the\
                  \ eBay-assigned <code>fulfillmentPolicyId</code>, which you can\
                  \ use to reference the policy."
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SetFulfillmentPolicyResponse"
          x-response-codes:
            errors:
              20200:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Warning. {additionalInfo}"
              20201:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "{fieldName} (Click and Collect Program) can not be enabled\
                  \ for this seller or marketplace."
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20400:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid request. {additionalInfo}"
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20402:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid input. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /fulfillment_policy/{fulfillmentPolicyId}:
    get:
      tags:
      - "fulfillment_policy"
      description: "This method retrieves the complete details of a fulfillment policy.\
        \ Supply the ID of the policy you want to retrieve using the <b>fulfillmentPolicyId</b>\
        \ path parameter."
      operationId: "getFulfillmentPolicy"
      parameters:
      - name: "fulfillmentPolicyId"
        in: "path"
        description: "This path parameter specifies the ID of the fulfillment policy\
          \ you want to retrieve.<br><br> This ID can be retrieved for a fulfillment\
          \ policy by using the <a href=\"/api-docs/sell/account/resources/fulfillment_policy/methods/getFulfillmentPolicies\"\
          \ target=\"_blank \">getFulfillmentPolicies</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/FulfillmentPolicy"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
    put:
      tags:
      - "fulfillment_policy"
      description: "This method updates an existing fulfillment policy. Specify the\
        \ policy you want to update using the <b>fulfillment_policy_id</b> path parameter.\
        \ Supply a complete policy payload with the updates you want to make; this\
        \ call overwrites the existing policy with the new details specified in the\
        \ payload."
      operationId: "updateFulfillmentPolicy"
      parameters:
      - name: "fulfillmentPolicyId"
        in: "path"
        description: "This path parameter specifies the ID of the fulfillment policy\
          \ you want to update.<br><br>This ID can be retrieved for a specific fulfillment\
          \ policy by using the <a href=\"/api-docs/sell/account/resources/fulfillment_policy/methods/getFulfillmentPolicies\"\
          \ target=\"_blank \">getFulfillmentPolicies</a> method."
        required: true
        schema:
          type: "string"
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Fulfillment policy request"
        content:
          application/json:
            schema:
              description: "Fulfillment policy request"
              $ref: "#/components/schemas/FulfillmentPolicyRequest"
        required: true
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SetFulfillmentPolicyResponse"
          x-response-codes:
            errors:
              20200:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Warning. {additionalInfo}"
              20201:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "{fieldName} (Click and Collect Program) can not be enabled\
                  \ for this seller or marketplace."
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20400:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid request. {additionalInfo}"
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20402:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid input. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
    delete:
      tags:
      - "fulfillment_policy"
      description: "This method deletes a fulfillment policy. Supply the ID of the\
        \ policy you want to delete in the <b>fulfillmentPolicyId</b> path parameter."
      operationId: "deleteFulfillmentPolicy"
      parameters:
      - name: "fulfillmentPolicyId"
        in: "path"
        description: "This path parameter specifies the ID of the fulfillment policy\
          \ to delete.<br><br> This ID can be retrieved for a fulfillment policy by\
          \ using the <a href=\"/api-docs/sell/account/resources/fulfillment_policy/methods/getFulfillmentPolicies\"\
          \ target=\"_blank \">getFulfillmentPolicies</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20402:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid input. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "204":
          description: "No Content"
        "404":
          description: "Not Found"
        "409":
          description: "Conflict"
          x-response-codes:
            errors:
              21409:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Invalid default for category type. {additionalInfo}"
              20409:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Invalid default policy type. {additionalInfo}"
              22409:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Invalid target default policy. {additionalInfo}"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /fulfillment_policy:
    get:
      tags:
      - "fulfillment_policy"
      description: "This method retrieves all the fulfillment policies configured\
        \ for the marketplace you specify using the <code>marketplace_id</code> query\
        \ parameter."
      operationId: "getFulfillmentPolicies"
      parameters:
      - name: "Content-Language"
        in: "header"
        description: "Get the correct policies for a marketplace that supports multiple\
          \ locales using the <code>Content-Language</code> request header. For example,\
          \ get the policies for the French locale of the Canadian marketplace by\
          \ specifying <code>fr-CA</code> for the <code>Content-Language</code> header.\
          \ Likewise, target the Dutch locale of the Belgium marketplace by setting\
          \ <code>Content-Language: nl-BE</code>. For details on header values, see\
          \ <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"\
          _blank\">HTTP request headers</a>."
        required: false
        schema:
          type: "string"
      - name: "marketplace_id"
        in: "query"
        description: "This query parameter specifies the eBay marketplace of the policies\
          \ you want to retrieve. For implementation help, refer to eBay API documentation\
          \ at https://developer.ebay.com/api-docs/sell/account/types/ba:MarketplaceIdEnum"
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/FulfillmentPolicyResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
  /fulfillment_policy/get_by_policy_name:
    get:
      tags:
      - "fulfillment_policy"
      description: "This method retrieves the details for a specific fulfillment policy.\
        \ In the request, supply both the policy <code>name</code> and its associated\
        \ <code>marketplace_id</code> as query parameters."
      operationId: "getFulfillmentPolicyByName"
      parameters:
      - name: "Content-Language"
        in: "header"
        description: "Get the correct policies for a marketplace that supports multiple\
          \ locales using the <code>Content-Language</code> request header. For example,\
          \ get the policies for the French locale of the Canadian marketplace by\
          \ specifying <code>fr-CA</code> for the <code>Content-Language</code> header.\
          \ Likewise, target the Dutch locale of the Belgium marketplace by setting\
          \ <code>Content-Language: nl-BE</code>. For details on header values, see\
          \ <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"\
          _blank\">HTTP request headers</a>."
        required: false
        schema:
          type: "string"
      - name: "marketplace_id"
        in: "query"
        description: "This query parameter specifies the eBay marketplace of the policy\
          \ you want to retrieve. For implementation help, refer to eBay API documentation\
          \ at https://developer.ebay.com/api-docs/sell/account/types/ba:MarketplaceIdEnum"
        required: true
        schema:
          type: "string"
      - name: "name"
        in: "query"
        description: "This query parameter specifies the seller-defined name of the\
          \ fulfillment policy you want to retrieve.<br><br>This value can be retrieved\
          \ for a fulfillment policy by using the <a href=\"/api-docs/sell/account/resources/fulfillment_policy/methods/getFulfillmentPolicies\"\
          \ target=\"_blank \">getFulfillmentPolicies</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/FulfillmentPolicy"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
  /payment_policy:
    get:
      tags:
      - "payment_policy"
      description: "This method retrieves all the payment business policies configured\
        \ for the marketplace you specify using the <code>marketplace_id</code> query\
        \ parameter."
      operationId: "getPaymentPolicies"
      parameters:
      - name: "marketplace_id"
        in: "query"
        description: "This query parameter specifies the eBay marketplace of the policies\
          \ you want to retrieve. For implementation help, refer to eBay API documentation\
          \ at https://developer.ebay.com/api-docs/sell/account/types/ba:MarketplaceIdEnum"
        required: true
        schema:
          type: "string"
      - name: "Content-Language"
        in: "header"
        description: "Get the correct policies for a marketplace that supports multiple\
          \ locales using the <code>Content-Language</code> request header. For example,\
          \ get the policies for the French locale of the Canadian marketplace by\
          \ specifying <code>fr-CA</code> for the <code>Content-Language</code> header.\
          \ Likewise, target the Dutch locale of the Belgium marketplace by setting\
          \ <code>Content-Language: nl-BE</code>. For details on header values, see\
          \ <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"\
          _blank\">HTTP request headers</a>."
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PaymentPolicyResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
    post:
      tags:
      - "payment_policy"
      description: "This method creates a new payment policy where the policy encapsulates\
        \ seller's terms for order payments. <br><br>A successful request returns\
        \ the <b>getPaymentPolicy</b> URI to the new policy in the <b>Location</b>\
        \ response header and the ID for the new policy is returned in the response\
        \ payload.  <p class=\"tablenote\"><b>Tip:</b> For details on creating and\
        \ using the business policies supported by the Account API, see <a href=\"\
        /api-docs/sell/static/seller-accounts/business-policies.html\">eBay business\
        \ policies</a>.</p>"
      operationId: "createPaymentPolicy"
      parameters:
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Payment policy request"
        content:
          application/json:
            schema:
              description: "Payment policy request"
              $ref: "#/components/schemas/PaymentPolicyRequest"
        required: true
      responses:
        "201":
          description: "Created"
          headers:
            Location:
              schema:
                type: "string"
                description: "The <b>location</b> response header contains the URL\
                  \ to the newly created payment policy. The URL includes the eBay-assigned\
                  \ <code>paymentPolicyId</code>, which you can use to reference the\
                  \ policy."
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SetPaymentPolicyResponse"
          x-response-codes:
            errors:
              20200:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Warning. {additionalInfo}"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20400:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid request. {additionalInfo}"
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
              20405:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid payment method. {fieldName}"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /payment_policy/{payment_policy_id}:
    get:
      tags:
      - "payment_policy"
      description: "This method retrieves the complete details of a payment policy.\
        \ Supply the ID of the policy you want to retrieve using the <b>paymentPolicyId</b>\
        \ path parameter."
      operationId: "getPaymentPolicy"
      parameters:
      - name: "payment_policy_id"
        in: "path"
        description: "This path parameter specifies the ID of the payment policy you\
          \ want to retrieve. <br><br> This ID can be retrieved for a payment policy\
          \ by using the <a href=\"/api-docs/sell/account/resources/payment_policy/methods/getPaymentPolicies\"\
          \ target=\"_blank \">getPaymentPolices</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PaymentPolicy"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
    put:
      tags:
      - "payment_policy"
      description: "This method updates an existing payment policy. Specify the policy\
        \ you want to update using the <b>payment_policy_id</b> path parameter. Supply\
        \ a complete policy payload with the updates you want to make; this call overwrites\
        \ the existing policy with the new details specified in the payload."
      operationId: "updatePaymentPolicy"
      parameters:
      - name: "payment_policy_id"
        in: "path"
        description: "This path parameter specifies the ID of the payment policy you\
          \ want to update. <br><br> This ID can be retrieved for a payment policy\
          \ by using the <a href=\"/api-docs/sell/account/resources/payment_policy/methods/getPaymentPolicies\"\
          \ target=\"_blank \">getPaymentPolices</a> method."
        required: true
        schema:
          type: "string"
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Payment policy request"
        content:
          application/json:
            schema:
              description: "Payment policy request"
              $ref: "#/components/schemas/PaymentPolicyRequest"
        required: true
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SetPaymentPolicyResponse"
          x-response-codes:
            errors:
              20200:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Warning. {additionalInfo}"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20400:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid request. {additionalInfo}"
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20402:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid input. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
              20405:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid payment method. {fieldName}"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
    delete:
      tags:
      - "payment_policy"
      description: "This method deletes a payment policy. Supply the ID of the policy\
        \ you want to delete in the <b>paymentPolicyId</b> path parameter. "
      operationId: "deletePaymentPolicy"
      parameters:
      - name: "payment_policy_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the payment\
          \ policy you want to delete.<br><br> This ID can be retrieved for a payment\
          \ policy by using the <a href=\"/api-docs/sell/account/resources/payment_policy/methods/getPaymentPolicies\"\
          \ target=\"_blank \">getPaymentPolices</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20402:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid input. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "204":
          description: "No Content"
        "404":
          description: "Not Found"
        "409":
          description: "Conflict"
          x-response-codes:
            errors:
              21409:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Invalid default for category type. {additionalInfo}"
              20409:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Invalid default policy type. {additionalInfo}"
              22409:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Invalid target default policy. {additionalInfo}"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /payment_policy/get_by_policy_name:
    get:
      tags:
      - "payment_policy"
      description: "This method retrieves the details of a specific payment policy.\
        \ Supply both the policy <code>name</code> and its associated <code>marketplace_id</code>\
        \ in the request query parameters."
      operationId: "getPaymentPolicyByName"
      parameters:
      - name: "Content-Language"
        in: "header"
        description: "Get the correct policy for a marketplace that supports multiple\
          \ locales using the <code>Content-Language</code> request header. For example,\
          \ get a policy for the French locale of the Canadian marketplace by specifying\
          \ <code>fr-CA</code> for the <code>Content-Language</code> header. Likewise,\
          \ target the Dutch locale of the Belgium marketplace by setting <code>Content-Language:\
          \ nl-BE</code>. For details on header values, see <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          >HTTP request headers</a>."
        required: false
        schema:
          type: "string"
      - name: "marketplace_id"
        in: "query"
        description: "This query parameter specifies the eBay marketplace of the policy\
          \ you want to retrieve. For implementation help, refer to eBay API documentation\
          \ at https://developer.ebay.com/api-docs/sell/account/types/ba:MarketplaceIdEnum"
        required: true
        schema:
          type: "string"
      - name: "name"
        in: "query"
        description: "This query parameter specifies the seller-defined name of the\
          \ payment policy you want to retrieve.<br><br> This value can be retrieved\
          \ for a payment policy by using the <a href=\"/api-docs/sell/account/resources/payment_policy/methods/getPaymentPolicies\"\
          \ target=\"_blank \">getPaymentPolicies</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PaymentPolicy"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
  /payments_program/{marketplace_id}/{payments_program_type}:
    get:
      tags:
      - "payments_program"
      description: "<span class=\"tablenote\"><b>Note:</b> This method is no longer\
        \ applicable, as all seller accounts globally have been enabled for the new\
        \ eBay payment and checkout flow.</span><br>This method returns whether or\
        \ not the user is opted-in to the specified payments program. Sellers opt-in\
        \ to payments programs by marketplace and you use the <b>marketplace_id</b>\
        \ path parameter to specify the marketplace of the status flag you want returned."
      operationId: "getPaymentsProgram"
      parameters:
      - name: "marketplace_id"
        in: "path"
        description: "This path parameter specifies the eBay marketplace of the payments\
          \ program for which you want to retrieve the seller's status."
        required: true
        schema:
          type: "string"
      - name: "payments_program_type"
        in: "path"
        description: "This path parameter specifies the payments program whose status\
          \ is returned by the call."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PaymentsProgramResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20408:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "No payment program available. The user may not be registered\
                  \ to the specified site or the site may not be supported by the\
                  \ payments program."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Application error"
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
  /payments_program/{marketplace_id}/{payments_program_type}/onboarding:
    get:
      tags:
      - "onboarding"
      description: "<span class=\"tablenote\"><b>Note:</b> This method is no longer\
        \ applicable, as all seller accounts globally have been enabled for the new\
        \ eBay payment and checkout flow.</span><br>This method retrieves a seller's\
        \ onboarding status for a payments program for a specified marketplace. The\
        \ overall onboarding status of the seller and the status of each onboarding\
        \ step is returned."
      operationId: "getPaymentsProgramOnboarding"
      parameters:
      - name: "marketplace_id"
        in: "path"
        description: "The eBay marketplace ID associated with the onboarding status\
          \ to retrieve."
        required: true
        schema:
          type: "string"
      - name: "payments_program_type"
        in: "path"
        description: "The type of payments program whose status is returned by the\
          \ method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PaymentsProgramOnboardingResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20408:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "No payments program available. The user may not be registered\
                  \ to the specified site or the site may not be supported by the\
                  \ payments program."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Application error"
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
  /privilege:
    get:
      tags:
      - "privilege"
      description: "This method retrieves the seller's current set of privileges,\
        \ including whether or not the seller's eBay registration has been completed,\
        \ as well as the details of their site-wide <b>sellingLimit</b> (the amount\
        \ and quantity they can sell on a given day)."
      operationId: "getPrivileges"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SellingPrivileges"
        "400":
          description: "Bad Request"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
  /program/get_opted_in_programs:
    get:
      tags:
      - "program"
      description: "This method gets a list of the seller programs that the seller\
        \ has opted-in to."
      operationId: "getOptedInPrograms"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Programs"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
  /program/opt_in:
    post:
      tags:
      - "program"
      description: "This method opts the seller in to an eBay seller program. Refer\
        \ to the <a href=\"/api-docs/sell/account/overview.html#opt-in\" target=\"\
        _blank\">Account API overview</a> for information about available eBay seller\
        \ programs.<br><br><span class=\"tablenote\"><b>Note:</b> It can take up to\
        \ 24-hours for eBay to process your request to opt-in to a Seller Program.\
        \ Use the <a href=\"/api-docs/sell/account/resources/program/methods/getOptedInPrograms\"\
        \ target=\"_blank\">getOptedInPrograms</a> call to check the status of your\
        \ request after the processing period has passed.</span>"
      operationId: "optInToProgram"
      parameters:
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Program being opted-in to."
        content:
          application/json:
            schema:
              description: "Program being opted-in to."
              $ref: "#/components/schemas/Program"
        required: true
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                type: "object"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "404":
          description: "Not Found"
        "409":
          description: "Conflict"
          x-response-codes:
            errors:
              25803:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "{fieldName} already exists."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /program/opt_out:
    post:
      tags:
      - "program"
      description: "This method opts the seller out of a seller program in which they\
        \ are currently opted in to. A seller can retrieve a list of the seller programs\
        \ they are opted-in to using the <b>getOptedInPrograms</b> method."
      operationId: "optOutOfProgram"
      parameters:
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Program being opted-out of."
        content:
          application/json:
            schema:
              description: "Program being opted-out of."
              $ref: "#/components/schemas/Program"
        required: true
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                type: "object"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              25804:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} already exists"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "404":
          description: "Not Found"
        "409":
          description: "Conflict"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /rate_table:
    get:
      tags:
      - "rate_table"
      description: "This method retrieves a seller's <i>shipping rate tables</i> for\
        \ the country specified in the <b>country_code</b> query parameter. If you\
        \ call this method without specifying a country code, the call returns all\
        \ of the seller's shipping rate tables.  <br><br>The method's response includes\
        \ a <b>rateTableId</b> for each table defined by the seller. This <b>rateTableId</b>\
        \ value is used in add/revise item call or in create/update fulfillment business\
        \ policy call to specify the shipping rate table to use for that policy's\
        \ domestic or international shipping options. <br><br>This call currently\
        \ supports getting rate tables related to the following marketplaces: United\
        \ States, Canada, United Kingdom, Germany, Australia, France, Italy, and Spain.\
        \  <span class=\"tablenote\"><b>Note:</b> Rate tables created with the Trading\
        \ API might not have been assigned a <b>rateTableId</b> at the time of their\
        \ creation. This method can assign and return <b>rateTableId</b> values for\
        \ rate tables with missing IDs if you make a request using the <b>country_code</b>\
        \ where the seller has defined rate tables.</span>  <br><br>Sellers can define\
        \ up to 40 shipping rate tables for their account, which lets them set up\
        \ different rate tables for each of the marketplaces they sell into. Go to\
        \ <a href=\"https://www.ebay.com/ship/rt \">Shipping rate tables</a> in  <b>My\
        \ eBay</b> to create and update rate tables."
      operationId: "getRateTables"
      parameters:
      - name: "country_code"
        in: "query"
        description: "This query parameter specifies the two-letter <a href=\"https://www.iso.org/iso-3166-country-codes.html\
          \ \" title=\"https://www.iso.org \" target=\"_blank\">ISO 3166</a> code\
          \ of country for which you want shipping rate table information. If you\
          \ do not specify a country code, the request returns all of the seller's\
          \ defined shipping rate tables for all eBay marketplaces. For implementation\
          \ help, refer to eBay API documentation at https://developer.ebay.com/api-docs/sell/account/types/ba:CountryCodeEnum"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/RateTableResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
  /return_policy:
    get:
      tags:
      - "return_policy"
      description: "This method retrieves all the return policies configured for the\
        \ marketplace you specify using the <code>marketplace_id</code> query parameter."
      operationId: "getReturnPolicies"
      parameters:
      - name: "Content-Language"
        in: "header"
        description: "Get the correct policies for a marketplace that supports multiple\
          \ locales using the <code>Content-Language</code> request header. For example,\
          \ get the policies for the French locale of the Canadian marketplace by\
          \ specifying <code>fr-CA</code> for the <code>Content-Language</code> header.\
          \ Likewise, target the Dutch locale of the Belgium marketplace by setting\
          \ <code>Content-Language: nl-BE</code>. For details on header values, see\
          \ <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"\
          _blank\">HTTP request headers</a>."
        required: false
        schema:
          type: "string"
      - name: "marketplace_id"
        in: "query"
        description: "This query parameter specifies the ID of the eBay marketplace\
          \ of the policies you want to retrieve. For implementation help, refer to\
          \ eBay API documentation at https://developer.ebay.com/api-docs/sell/account/types/ba:MarketplaceIdEnum"
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ReturnPolicyResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
    post:
      tags:
      - "return_policy"
      description: "This method creates a new return policy where the policy encapsulates\
        \ seller's terms for returning items.  <br><br>Each policy targets a specific\
        \ marketplace, and you can create multiple policies for each marketplace.\
        \ Return policies are not applicable to motor-vehicle listings.<br><br>A successful\
        \ request returns the <b>getReturnPolicy</b> URI to the new policy in the\
        \ <b>Location</b> response header and the ID for the new policy is returned\
        \ in the response payload.  <p class=\"tablenote\"><b>Tip:</b> For details\
        \ on creating and using the business policies supported by the Account API,\
        \ see <a href=\"/api-docs/sell/static/seller-accounts/business-policies.html\"\
        >eBay business policies</a>.</p>"
      operationId: "createReturnPolicy"
      parameters:
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Return policy request"
        content:
          application/json:
            schema:
              description: "Return policy request"
              $ref: "#/components/schemas/ReturnPolicyRequest"
        required: true
      responses:
        "201":
          description: "Created"
          headers:
            Location:
              schema:
                type: "string"
                description: "The <b>location</b> response header contains the URL\
                  \ to the newly created return policy. The URL includes the eBay-assigned\
                  \ <code>returnPolicyId</code>, which you can use to reference the\
                  \ policy."
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SetReturnPolicyResponse"
          x-response-codes:
            errors:
              20200:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Warning. {additionalInfo}"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20400:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid request. {additionalInfo}"
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field ."
              20406:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid return option"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /return_policy/{return_policy_id}:
    get:
      tags:
      - "return_policy"
      description: "This method retrieves the complete details of the return policy\
        \ specified by the <b>returnPolicyId</b> path parameter."
      operationId: "getReturnPolicy"
      parameters:
      - name: "return_policy_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the return\
          \ policy you want to retrieve. <br><br> This ID can be retrieved for a return\
          \ policy by using the <a href=\"/api-docs/sell/account/resources/return_policy/methods/getReturnPolicies\"\
          \ target=\"_blank \">getReturnPolicies</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ReturnPolicy"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
    put:
      tags:
      - "return_policy"
      description: "This method updates an existing return policy. Specify the policy\
        \ you want to update using the <b>return_policy_id</b> path parameter. Supply\
        \ a complete policy payload with the updates you want to make; this call overwrites\
        \ the existing policy with the new details specified in the payload."
      operationId: "updateReturnPolicy"
      parameters:
      - name: "return_policy_id"
        in: "path"
        description: "This path parameter specifies the ID of the return policy you\
          \ want to update. <br><br> This ID can be retrieved for a return policy\
          \ by using the <a href=\"/api-docs/sell/account/resources/return_policy/methods/getReturnPolicies\"\
          \ target=\"_blank \">getReturnPolicies</a> method."
        required: true
        schema:
          type: "string"
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>. <br><br>\
          \ For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "Container for a return policy request."
        content:
          application/json:
            schema:
              description: "Container for a return policy request."
              $ref: "#/components/schemas/ReturnPolicyRequest"
        required: true
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SetReturnPolicyResponse"
          x-response-codes:
            errors:
              20200:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Warning. {additionalInfo}"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20400:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid request. {additionalInfo}"
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}."
              20402:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid input. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
              20406:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid return option. {fieldName}"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
    delete:
      tags:
      - "return_policy"
      description: "This method deletes a return policy. Supply the ID of the policy\
        \ you want to delete in the <b>returnPolicyId</b> path parameter."
      operationId: "deleteReturnPolicy"
      parameters:
      - name: "return_policy_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the return\
          \ policy you want to delete.<br><br> This ID can be retrieved for a return\
          \ policy by using the <a href=\"/api-docs/sell/account/resources/return_policy/methods/getReturnPolicies\"\
          \ target=\"_blank \">getReturnPolicies</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20402:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid input. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
        "204":
          description: "No Content"
        "404":
          description: "Not Found"
        "409":
          description: "Conflict"
          x-response-codes:
            errors:
              21409:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Invalid default for category type. {additionalInfo}"
              20409:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Invalid default policy type. {additionalInfo}"
              22409:
                domain: "API_ACCOUNT"
                category: "BUSINESS"
                description: "Invalid target default policy. {additionalInfo}"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /return_policy/get_by_policy_name:
    get:
      tags:
      - "return_policy"
      description: "This method retrieves the details of a specific return policy.\
        \ Supply both the policy <code>name</code> and its associated <code>marketplace_id</code>\
        \ in the request query parameters."
      operationId: "getReturnPolicyByName"
      parameters:
      - name: "Content-Language"
        in: "header"
        description: "Get the correct policy for a marketplace that supports multiple\
          \ locales using the <code>Content-Language</code> request header. For example,\
          \ get a policy for the French locale of the Canadian marketplace by specifying\
          \ <code>fr-CA</code> for the <code>Content-Language</code> header. Likewise,\
          \ target the Dutch locale of the Belgium marketplace by setting <code>Content-Language:\
          \ nl-BE</code>. For details on header values, see <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          >HTTP request headers</a>."
        required: false
        schema:
          type: "string"
      - name: "marketplace_id"
        in: "query"
        description: "This query parameter specifies the ID of the eBay marketplace\
          \ of the policy you want to retrieve. For implementation help, refer to\
          \ eBay API documentation at https://developer.ebay.com/api-docs/sell/account/types/ba:MarketplaceIdEnum"
        required: true
        schema:
          type: "string"
      - name: "name"
        in: "query"
        description: "This query parameter specifies the seller-defined name of the\
          \ return policy you want to retrieve.<br><br> This value can be retrieved\
          \ for a return policy by using the <a href=\"/api-docs/sell/account/resources/return_policy/methods/getReturnPolicies\"\
          \ target=\"_blank \">getReturnPolicies</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ReturnPolicy"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
              20501:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "Service unavailable. Please try again in next 24 hours."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
  /bulk_create_or_replace_sales_tax:
    post:
      tags:
      - "sales_tax"
      description: "This method creates or updates multiple sales-tax table entries.<br><br><i>Sales-tax\
        \ tables</i> can be set up for countries that support different <i>tax jurisdictions</i>.<br><br><span\
        \ class=\"tablenote\"><b>Note:</b> Sales-tax tables are only available for\
        \ the US (EBAY_US) and Canada (EBAY_CA) marketplaces.</span><br>Each sales-tax\
        \ table entry comprises the following parameters:<ul><li><code>countryCode</code></li><li><code>jurisdictionId</code></li><li><code>salesTaxPercentage</code></li><li><code>shippingAndHandlingTaxed</code></li></ul><br>Valid\
        \ jurisdiction IDs are retrieved using <b><a href=\"/api-docs/sell/metadata/resources/country/methods/getSalesTaxJurisdictions\"\
        \ target=\"_blank\">getSalesTaxJurisdictions</a></b> in the Metadata API.<br><br>For\
        \ details about using this call, refer to <a href=\"/api-docs/sell/static/seller-accounts/tax-tables.html\"\
        >Establishing sales-tax tables</a>.<br><br><div class=\"msgbox_important\"\
        ><p class=\"msgbox_importantInDiv\" data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color:\
        \ #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important! &lt;/span&gt;&lt;/b&gt;\"\
        ><span class=\"autonumber\"><span><b><span style=\"color: #dd1e31;\" class=\"\
        mcFormatColor\">Important!</span></b></span></span> In the US, eBay now calculates,\
        \ collects, and remits sales tax to the proper taxing authorities in all 50\
        \ states and Washington, DC. Sellers can no longer specify sales-tax rates\
        \ for these jurisdictions using a tax table.<br><br>However, sellers may continue\
        \ to use a sales-tax table to set rates for the following US territories:<ul><li>American\
        \ Samoa (AS)</li><li>Guam (GU)</li><li>Northern Mariana Islands (MP)</li><li>Palau\
        \ (PW)</li><li>US Virgin Islands (VI)</li></ul>For additional information,\
        \ refer to <a href=\"https://www.ebay.com/help/selling/fees-credits-invoices/taxes-import-charges?id=4121\
        \ \" target=\"_blank\">Taxes and import charges</a>.</p></div>"
      operationId: "bulkCreateOrReplaceSalesTax"
      requestBody:
        description: "List of sales taxes to be updated"
        content:
          application/json:
            schema:
              description: "List of sales taxes to be updated"
              $ref: "#/components/schemas/BulkSalesTaxInput"
        required: true
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/UpdatedSalesTaxResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20400:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid request. {additionalInfo}"
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
        "207":
          description: "partial success"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
  /sales_tax/{countryCode}/{jurisdictionId}:
    get:
      tags:
      - "sales_tax"
      description: "This call retrieves the current sales-tax table entry for a specific\
        \ tax jurisdiction. Specify the jurisdiction to retrieve using the <b>countryCode</b>\
        \ and <b>jurisdictionId</b> path parameters. All four response fields will\
        \ be returned if a sales-tax entry exists for the tax jurisdiction. Otherwise,\
        \ the response will be returned as empty.<br><br><span class=\"tablenote\"\
        ><b>Note:</b> Sales-tax tables are only available for the US (EBAY_US) and\
        \ Canada (EBAY_CA) marketplaces.</span><br><div class=\"msgbox_important\"\
        ><p class=\"msgbox_importantInDiv\" data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color:\
        \ #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important! &lt;/span&gt;&lt;/b&gt;\"\
        ><span class=\"autonumber\"><span><b><span style=\"color: #dd1e31;\" class=\"\
        mcFormatColor\">Important!</span></b></span></span> In the US, eBay now calculates,\
        \ collects, and remits sales tax to the proper taxing authorities in all 50\
        \ states and Washington, DC. Sellers can no longer specify sales-tax rates\
        \ for these jurisdictions using a tax table.<br><br>However, sellers may continue\
        \ to use a sales-tax table to set rates for the following US territories:<ul><li>American\
        \ Samoa (AS)</li><li>Guam (GU)</li><li>Northern Mariana Islands (MP)</li><li>Palau\
        \ (PW)</li><li>US Virgin Islands (VI)</li></ul>For additional information,\
        \ refer to <a href=\"https://www.ebay.com/help/selling/fees-credits-invoices/taxes-import-charges?id=4121\
        \ \" target=\"_blank\">Taxes and import charges</a>.</p></div>"
      operationId: "getSalesTax"
      parameters:
      - name: "countryCode"
        in: "path"
        description: "This path parameter specifies the two-letter <a href=\"https://www.iso.org/iso-3166-country-codes.html\
          \ \" title=\"https://www.iso.org \" target=\"_blank\">ISO 3166</a> code\
          \ for the country whose sales tax table you want to retrieve.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> Sales-tax tables are available only for\
          \ the US and Canada marketplaces. Therefore, the only supported values are:<ul><li><code>US</code></li><li><code>CA</code></li></ul></span>"
        required: true
        schema:
          type: "string"
      - name: "jurisdictionId"
        in: "path"
        description: "This path parameter specifies the ID of the sales tax jurisdiction\
          \ for the tax table entry to be retrieved.<br><br>Valid jurisdiction IDs\
          \ can be retrieved using the <a href=\"/api-docs/sell/metadata/resources/country/methods/getSalesTaxJurisdictions\"\
          \ target=\"_blank \">getSalesTaxJurisdiction</a> method of the Metadata\
          \ API.<br><br><span class=\"tablenote\"><b>Note:</b> When <code>countryCode</code>\
          \ is set to <code>US</code>, the only supported values for <code>jurisdictionId</code>\
          \ are:<ul><li><code>AS</code> (American Samoa)</li><li><code>GU</code> (Guam</li><li><code>MP</code>\
          \ Northern Mariana Islands</li><li><code>PW (Palau)</li><li><code>VI</code>\
          \ (US Virgin Islands)</li></ul></span>"
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "Success"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SalesTax"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20400:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid request. {additionalInfo}"
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20407:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Tax table not supported for {fieldName}."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
        "204":
          description: "No content"
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
        - "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
    put:
      tags:
      - "sales_tax"
      description: "This method creates or updates a sales-tax table entry for a jurisdiction.\
        \ Specify the tax table entry you want to configure using the two path parameters:\
        \ <b>countryCode</b> and <b>jurisdictionId</b>.  <br><br>A tax table entry\
        \ for a jurisdiction is comprised of two fields: one for the jurisdiction's\
        \ sales-tax rate and another that's a boolean value indicating whether or\
        \ not shipping and handling are taxed in the jurisdiction.<br><br>You can\
        \ set up <i>sales-tax tables</i> for countries that support different <i>tax\
        \ jurisdictions</i>.<br><br><span class=\"tablenote\"><b>Note:</b> Sales-tax\
        \ tables are only available for the US (EBAY_US) and Canada (EBAY_CA) marketplaces.</span><br>Retrieve\
        \ valid jurisdiction IDs using <b><a href=\"/api-docs/sell/metadata/resources/country/methods/getSalesTaxJurisdictions\"\
        \ target=\"_blank\">getSalesTaxJurisdictions</a></b> in the Metadata API.<br><br>For\
        \ details about using this call, refer to <a href=\"/api-docs/sell/static/seller-accounts/tax-tables.html\"\
        >Establishing sales-tax tables</a>.<br><br><div class=\"msgbox_important\"\
        ><p class=\"msgbox_importantInDiv\" data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color:\
        \ #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important! &lt;/span&gt;&lt;/b&gt;\"\
        ><span class=\"autonumber\"><span><b><span style=\"color: #dd1e31;\" class=\"\
        mcFormatColor\">Important!</span></b></span></span> In the US, eBay now calculates,\
        \ collects, and remits sales tax to the proper taxing authorities in all 50\
        \ states and Washington, DC. Sellers can no longer specify sales-tax rates\
        \ for these jurisdictions using a tax table.<br><br>However, sellers may continue\
        \ to use a sales-tax table to set rates for the following US territories:<ul><li>American\
        \ Samoa (AS)</li><li>Guam (GU)</li><li>Northern Mariana Islands (MP)</li><li>Palau\
        \ (PW)</li><li>US Virgin Islands (VI)</li></ul>For additional information,\
        \ refer to <a href=\"https://www.ebay.com/help/selling/fees-credits-invoices/taxes-import-charges?id=4121\
        \ \" target=\"_blank\">Taxes and import charges</a>.</p></div>"
      operationId: "createOrReplaceSalesTax"
      parameters:
      - name: "countryCode"
        in: "path"
        description: "This path parameter specifies the two-letter <a href=\"https://www.iso.org/iso-3166-country-codes.html\
          \ \" title=\"https://www.iso.org \" target=\"_blank\">ISO 3166</a> code\
          \ for the country for which you want to create a sales tax table entry.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> Sales-tax tables are available only for\
          \ the US and Canada marketplaces. Therefore, the only supported values are:<ul><li><code>US</code></li><li><code>CA</code></li></ul></span>"
        required: true
        schema:
          type: "string"
      - name: "jurisdictionId"
        in: "path"
        description: "This path parameter specifies the ID of the tax jurisdiction\
          \ for the table entry to be created.<br><br>Valid jurisdiction IDs can be\
          \ retrieved using the <a href=\"/api-docs/sell/metadata/resources/country/methods/getSalesTaxJurisdictions\"\
          \ target=\"_blank \">getSalesTaxJurisdiction</a> method of the Metadata\
          \ API.<br><br><span class=\"tablenote\"><b>Note:</b> When <code>countryCode</code>\
          \ is set to <code>US</code>, the only supported values for <code>jurisdictionId</code>\
          \ are:<ul><li><code>AS</code> (American Samoa)</li><li><code>GU</code> (Guam)</li><li><code>MP</code>\
          \ (Northern Mariana Islands)</li><li><code>PW</code> (Palau)</li><li><code>VI</code>\
          \ (US Virgin Islands)</li></ul></span>"
        required: true
        schema:
          type: "string"
      - name: "Content-Type"
        in: "header"
        description: "This header indicates the format of the request body provided\
          \ by the client. Its value should be set to <b>application/json</b>.<br><br>For\
          \ more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\"\
          \ target=\"_blank \">HTTP request headers</a>."
        required: true
        schema:
          type: "string"
      requestBody:
        description: "A container that describes the how the sales tax is calculated."
        content:
          application/json:
            schema:
              description: "A container that describes the how the sales tax is calculated."
              $ref: "#/components/schemas/SalesTaxBase"
        required: true
      responses:
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              20400:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid request. {additionalInfo}"
              20401:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Missing field {fieldName}. {additionalInfo}"
              20403:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Invalid {fieldName}. {additionalInfo}"
              20404:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "{fieldName} not found."
              20407:
                domain: "API_ACCOUNT"
                category: "REQUEST"
                description: "Tax table not supported for {fieldName}."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              20500:
                domain: "API_ACCOUNT"
                category: "APPLICATION"
                description: "System error."
        "204":
          description: "No Content"
        "404":
          description: "Not Found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/api_scope/sell.account"
    delete:
      tags:
      - "sales_tax"
      description: "This call deletes a sales-tax table entry for a jurisdiction.\
        \ Specify the jurisdiction to delete using the <b>countryCode</b> and <b>jurisdictionId</b>\
        \ path parameters.<br><br><span class=\"tablenote\"><b>Note:</b> Sales-tax\
        \ tables are only available for the US (EBAY_US) and Canada (EBAY_CA) marketplaces.</span>"
      operationId: "deleteSalesTax"
      parameters:
      - name: "countryCode"
        in: "path"
        description: "This path parameter specifies the two-letter <a href=\"https://www.iso.org/iso-3166-country-codes.html\
          \ \" title=\"https://www.iso.org \" target=\"_blank\">ISO 3166</a> code\
          \ for the country whose sales tax table entry you want to delete.<br><br><span\
          \ class=\"tablenote\"><b>Note:</b> Sales-tax tables are available only for\
          \ the US and Canada marketplaces. Therefore, the only supported values are:<ul><li><code>US</code></li><li><code>CA</code></li></ul></span>"
        required: true
        schema:
          type: "string"
      - name: "jurisdictionId"
        in: "path"
        description: "This path parameter specifies the ID of the sales tax jurisdiction\
          \ whose table entry you want to delete.<br><br>Valid jurisdiction IDs can\
          \ be retrieved using the <a href=\"/api-docs/sell/metadata/resources/country/methods/getSalesTaxJurisdictions\"\
          \ target=\"_blank \">getSalesTaxJurisdiction</a> method of the Metadata\
          \ API.<br><br><span class=\"tablenote\"><b>Note:</b> When <code>countryCode</code>\
[...]
